/* /////////////////////////////////////////////////////////////////////////////////////////////////

Author: PluginIdea
Email:sugamer8 @gmail.com
Patreon:https://www.patreon.com/PluginIdea

©2022 PluginIdea, Inc.All rights reserved.

///////////////////////////////////////////////////////////////////////////////////////////////// */

using UnityEngine;using System.Collections.Generic;using UnityEngine.UI;namespace PluginIdea.GizmosSystem{public class LightDrawModule : GZModuleBase{private JSONStorableBool isDrawLight;public LightDrawModule(GizmosSystem ower){this.ower = ower;}public override void Init(){Utils.SetupSpacer(ower, 30, false);Utils.SetupInfoTextNoScroll(this.ower, Location.GetStr(Location.LightSubtitle), 35, false);isDrawLight = Utils.SetupToggle(ower, Location.GetStr(Location.IsDrawLight), true, false);}public override void OnPostRender(){if (ower.CurrentDrawAtom != null && isDrawLight.val){Transform lightTrans = ower.CurrentDrawAtom.reParentObject.Find("object/rescaleObject/Light");if (lightTrans == null) return;Light tmpLight = lightTrans.GetComponent<Light>();if (tmpLight != null){if (tmpLight.type == LightType.Spot){GizmosHelper.DrawWireCone(tmpLight.transform, tmpLight.spotAngle, tmpLight.range, Color.yellow);}else if (tmpLight.type == LightType.Point){GizmosHelper.DrawWireSphere(tmpLight.transform.position, tmpLight.range, Color.yellow);}else if (tmpLight.type == LightType.Directional){GizmosHelper.DrawArrow3D(tmpLight.transform, tmpLight.range, Color.yellow);}}}}public override void UnInit(){}}}